function OnMsg.ClassesBuilt()

	if GameRulesMap['RDM_EasierSilvatech'] then return end
	
	PlaceObj('GameRules', {
		description = T(786910681234, --[[ModItemGameRules RDM_EasierSilvatech description]] "Decreases research cost points by 50% for SILVATECH techs."),
		display_name = T(333699945011, --[[ModItemGameRules RDM_EasierSilvatech display_name]] "<em>(Silva)</em> Easier SILVATECH"),
		exclusionlist = "RDM_HarderSilvatech",
		group = "Default",
		id = "RDM_EasierSilvatech",
		PlaceObj('Effect_TechBoost', {
			Field = "RDM_SilvaTech",
			Percent = 50,
		}),
	})
	PlaceObj('GameRules', {
		challenge_mod = 25,
		description = T(549731037334, --[[ModItemGameRules RDM_HarderSilvatech description]] "Increases by 50% the  cost of research points for all techs in SILVATECH."),
		display_name = T(540435217218, --[[ModItemGameRules RDM_HarderSilvatech display_name]] "<em>(Silva)</em> Harder SILVATECH"),
		exclusionlist = "RDM_EasierSilvatech",
		group = "Default",
		id = "RDM_HarderSilvatech",
		PlaceObj('Effect_TechBoost', {
			Field = "RDM_SilvaTech",
			Percent = -50,
		}),
	})
end